using System;
using System.Collections.Generic;
using System.Text;

namespace Howest.QueryBuilder.Statements
{
	public abstract class GeneratorItem
	{
		internal string GenerateInternal()
		{
			return Generate();
		}

		protected abstract string Generate();
	}
}
